TerraSync 5.21 released — Fixes Realtime “SBAS” bug for Juno, Nomad G and Yuma’s

TerraSync 5.21 released:

“Resolves an issue where positions were not being produced with Trimble Juno® series handhelds, Trimble Nomad® G series handhelds, and Trimble Yuma® tablet computers when the internal receiver was configured to use Satellite Based Augmentation System (SBAS) corrections.”

 

See the Release Notes for more information.

Download here:  TerraSync 5.21 and then click on “Downloads” and then click on “TerraSync 5.21” and then click on either the Windows Mobile version for the Juno or Nomad and or the Desktop verison for the Yuma.

  • Keep in mind that either GPS Pathfinder Office 5.20 or GPS Analyst 2.40 needs to be installed and all updates current in order to be compatible with TerraSync 5.21.
  • Consult your “About” selection within the “Status” menu or consult your Sales Rep to find out when your license maintenance expires and or if you are eligible for TerraSync 5.21.
  • See my other post that your Juno GPS Firmware must be current in order to run TerraSync 5.20  or higher or see this Juno downloads link.

It is not necessary to upgrade to TerraSync 5.21 for any of the Geos.

Leave a Reply

Your email address will not be published. Required fields are marked *